aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-03-30 21:24:45 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2008-03-30 21:24:45 +0000
commit96bb6d453405ed3a7bd03201192861a0ae272573 (patch)
treef918380a1324ea2db83f46cdbf4aab64936714d1
parent18d668cc92656764cdac4eaafd643b068897eca1 (diff)
downloadpaludis-96bb6d453405ed3a7bd03201192861a0ae272573.tar.gz
paludis-96bb6d453405ed3a7bd03201192861a0ae272573.tar.xz
Use ${builddir}/${CATEGORY}-${PF} instead of ${builddir}/${CATEGORY}/${PF}, to avoid userpriv subtleties.
-rw-r--r--NEWS3
-rw-r--r--paludis/repositories/e/ebuild.cc2
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_init.bash12
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initrm.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killold.bash6
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash6
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killoldrm.bash6
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyup.bash10
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash10
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash12
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash6
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash6
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash6
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash10
-rw-r--r--paludis/repositories/e/ebuild_entries.cc10
21 files changed, 85 insertions, 82 deletions
diff --git a/NEWS b/NEWS
index 9bb6d21..c8329d4 100644
--- a/NEWS
+++ b/NEWS
@@ -12,6 +12,9 @@ trunk/:
removing a package with portage, as this will no longer be done
automatically.
+ * paludis now uses ${builddir}/${CATEGORY}-${PF} instead of
+ ${builddir}/${CATEGORY}/${PF} as a temporary build directory.
+
0.26.0_alpha14:
* paludis now has an --executables option which shows all executables
installed by a package that are in $PATH.
diff --git a/paludis/repositories/e/ebuild.cc b/paludis/repositories/e/ebuild.cc
index f467c59..ab709ce 100644
--- a/paludis/repositories/e/ebuild.cc
+++ b/paludis/repositories/e/ebuild.cc
@@ -231,7 +231,7 @@ EbuildCommand::add_portage_vars(const Command & cmd) const
.with_setenv("PORTAGE_ACTUAL_DISTDIR", stringify(params[k::distdir()]))
.with_setenv("PORTAGE_BASHRC", "/dev/null")
.with_setenv("PORTAGE_BUILDDIR", stringify(params[k::builddir()]) + "/" +
- stringify(params[k::package_id()]->name().category) + "/" +
+ stringify(params[k::package_id()]->name().category) + "-" +
stringify(params[k::package_id()]->name().package) + "-" +
stringify(params[k::package_id()]->version()))
.with_setenv("PORTAGE_CALLER", params[k::environment()]->paludis_command())
diff --git a/paludis/repositories/e/ebuild/0/builtin_init.bash b/paludis/repositories/e/ebuild/0/builtin_init.bash
index 0dea0e2..daa921f 100644
--- a/paludis/repositories/e/ebuild/0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_init.bash
@@ -53,24 +53,24 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
fi
- export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/work"
+ export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/work"
mkdir -p "${WORKDIR}" || die "Couldn't create \$WORKDIR (\"${WORKDIR}\")"
declare -r WORKDIR="${WORKDIR}"
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
export TMPDIR="${T}"
- export D="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/image/"
+ export D="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
export D="${D//+(\/)//}"
mkdir -p "${D}" || die "Couldn't create \$D (\"${D}\")"
declare -r D="${D}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
index 2386de8..d7e3da0 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
@@ -53,14 +53,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_initrm.bash b/paludis/repositories/e/ebuild/0/builtin_initrm.bash
index ca13761..cb7e45e 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initrm.bash
@@ -53,14 +53,14 @@ builtin_initrm()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_killold.bash b/paludis/repositories/e/ebuild/0/builtin_killold.bash
index 2fec908..8532b85 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killold.bash
@@ -23,11 +23,11 @@ builtin_killold()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
index 55623af..f56e98f 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
@@ -23,11 +23,11 @@ builtin_killoldmisc()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash b/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash
index 555ac94..4731628 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killoldrm.bash
@@ -23,11 +23,11 @@ builtin_killoldrm()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
index 445c3b3..0336939 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
@@ -18,13 +18,13 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
index 3e47aa7..054d1c8 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
@@ -18,13 +18,13 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash b/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash
index a282d34..82408b0 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyuprm.bash
@@ -18,13 +18,13 @@
builtin_tidyuprm()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 090481b..93c459c 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -53,24 +53,24 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
fi
- export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/work"
+ export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/work"
mkdir -p "${WORKDIR}" || die "Couldn't create \$WORKDIR (\"${WORKDIR}\")"
declare -r WORKDIR="${WORKDIR}"
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
export TMPDIR="${T}"
- export D="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}/image/"
+ export D="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
export D="${D//+(\/)//}"
mkdir -p "${D}" || die "Couldn't create \$D (\"${D}\")"
declare -r D="${D}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
index 6229b7d..b69fc58 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
@@ -53,14 +53,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
index 70ba8a8..cbf0098 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
@@ -53,14 +53,14 @@ builtin_initrm()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
index 3db2d18..39ee4f7 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
@@ -23,11 +23,11 @@ builtin_killold()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
index 14a02b0..fe4c4b6 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
@@ -23,11 +23,11 @@ builtin_killoldmisc()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
index 7a5bf45..15f57fd 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
@@ -23,11 +23,11 @@ builtin_killoldrm()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
index 7ca080f..80c0f9e 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
@@ -18,13 +18,13 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
index 7646996..482a4f8 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
@@ -18,13 +18,13 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
index 13b3b32..881cb8f 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
@@ -18,13 +18,13 @@
builtin_tidyuprm()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild_entries.cc b/paludis/repositories/e/ebuild_entries.cc
index 2d8f174..2fa1472 100644
--- a/paludis/repositories/e/ebuild_entries.cc
+++ b/paludis/repositories/e/ebuild_entries.cc
@@ -578,9 +578,9 @@ EbuildEntries::install(const tr1::shared_ptr<const ERepositoryID> & id,
(*o[k::destination()])[k::destination_interface()]->merge(
MergeParams::named_create()
(k::package_id(), id)
- (k::image_dir(), _imp->params.builddir / stringify(id->name().category) / (stringify(id->name().package) + "-"
+ (k::image_dir(), _imp->params.builddir / (stringify(id->name().category) + "-" + stringify(id->name().package) + "-"
+ stringify(id->version())) / "image")
- (k::environment_file(), _imp->params.builddir / stringify(id->name().category) / (stringify(id->name().package) + "-"
+ (k::environment_file(), _imp->params.builddir / (stringify(id->name().category) + "-" + stringify(id->name().package) + "-"
+ stringify(id->version())) / "temp" / "loadsaveenv")
(k::options(), (*(*id->eapi())[k::supported()])[k::merger_options()])
);
@@ -603,9 +603,9 @@ EbuildEntries::install(const tr1::shared_ptr<const ERepositoryID> & id,
EStripper stripper(EStripperOptions::named_create()
(k::package_id(), id)
- (k::image_dir(), _imp->params.builddir / stringify(id->name().category) / (stringify(id->name().package) + "-"
+ (k::image_dir(), _imp->params.builddir / (stringify(id->name().category) + "-" + stringify(id->name().package) + "-"
+ stringify(id->version())) / "image")
- (k::debug_dir(), _imp->params.builddir / stringify(id->name().category) / (stringify(id->name().package) + "-"
+ (k::debug_dir(), _imp->params.builddir / (stringify(id->name().category) + "-" + stringify(id->name().package) + "-"
+ stringify(id->version())) / "image" / "usr" / libdir / "debug")
(k::debug_build(), o[k::debug_build()])
);
@@ -672,7 +672,7 @@ EbuildEntries::install(const tr1::shared_ptr<const ERepositoryID> & id,
(k::disable_cfgpro(), o[k::no_config_protect()])
(k::config_protect(), _imp->e_repository->profile_variable("CONFIG_PROTECT"))
(k::config_protect_mask(), _imp->e_repository->profile_variable("CONFIG_PROTECT_MASK"))
- (k::loadsaveenv_dir(), _imp->params.builddir / stringify(id->name().category) / (
+ (k::loadsaveenv_dir(), _imp->params.builddir / (stringify(id->name().category) + "-" +
stringify(id->name().package) + "-" + stringify(id->version())) / "temp")
(k::slot(), SlotName(id->slot())));